Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network191.3.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
191.3.0.0
Broadcast address
191.3.127.255
First usable
191.3.0.1
Last usable
191.3.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex BF030000 · Integer 3204644864 to 3204677631
Reverse DNS zones
0.3.191.in-addr.arpa
1.3.191.in-addr.arpa
2.3.191.in-addr.arpa
3.3.191.in-addr.arpa
4.3.191.in-addr.arpa
5.3.191.in-addr.arpa
6.3.191.in-addr.arpa
7.3.191.in-addr.arpa
8.3.191.in-addr.arpa
9.3.191.in-addr.arpa
10.3.191.in-addr.arpa
11.3.191.in-addr.arpa
12.3.191.in-addr.arpa
13.3.191.in-addr.arpa
14.3.191.in-addr.arpa
15.3.191.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111111.00000011.00000000.00000000191.3.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10111111.00000011.00000000.00000000191.3.0.0
Broadcast10111111.00000011.01111111.11111111191.3.127.255
Split into smaller subnets/26

191.3.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1191.3.0.0/26191.3.0.1 to 191.3.0.62191.3.0.6362
2191.3.0.64/26191.3.0.65 to 191.3.0.126191.3.0.12762
3191.3.0.128/26191.3.0.129 to 191.3.0.190191.3.0.19162
4191.3.0.192/26191.3.0.193 to 191.3.0.254191.3.0.25562
5191.3.1.0/26191.3.1.1 to 191.3.1.62191.3.1.6362
6191.3.1.64/26191.3.1.65 to 191.3.1.126191.3.1.12762
7191.3.1.128/26191.3.1.129 to 191.3.1.190191.3.1.19162
8191.3.1.192/26191.3.1.193 to 191.3.1.254191.3.1.25562
9191.3.2.0/26191.3.2.1 to 191.3.2.62191.3.2.6362
10191.3.2.64/26191.3.2.65 to 191.3.2.126191.3.2.12762
11191.3.2.128/26191.3.2.129 to 191.3.2.190191.3.2.19162
12191.3.2.192/26191.3.2.193 to 191.3.2.254191.3.2.25562
13191.3.3.0/26191.3.3.1 to 191.3.3.62191.3.3.6362
14191.3.3.64/26191.3.3.65 to 191.3.3.126191.3.3.12762
15191.3.3.128/26191.3.3.129 to 191.3.3.190191.3.3.19162
16191.3.3.192/26191.3.3.193 to 191.3.3.254191.3.3.25562
17191.3.4.0/26191.3.4.1 to 191.3.4.62191.3.4.6362
18191.3.4.64/26191.3.4.65 to 191.3.4.126191.3.4.12762
19191.3.4.128/26191.3.4.129 to 191.3.4.190191.3.4.19162
20191.3.4.192/26191.3.4.193 to 191.3.4.254191.3.4.25562
21191.3.5.0/26191.3.5.1 to 191.3.5.62191.3.5.6362
22191.3.5.64/26191.3.5.65 to 191.3.5.126191.3.5.12762
23191.3.5.128/26191.3.5.129 to 191.3.5.190191.3.5.19162
24191.3.5.192/26191.3.5.193 to 191.3.5.254191.3.5.25562
25191.3.6.0/26191.3.6.1 to 191.3.6.62191.3.6.6362
26191.3.6.64/26191.3.6.65 to 191.3.6.126191.3.6.12762
27191.3.6.128/26191.3.6.129 to 191.3.6.190191.3.6.19162
28191.3.6.192/26191.3.6.193 to 191.3.6.254191.3.6.25562
29191.3.7.0/26191.3.7.1 to 191.3.7.62191.3.7.6362
30191.3.7.64/26191.3.7.65 to 191.3.7.126191.3.7.12762
31191.3.7.128/26191.3.7.129 to 191.3.7.190191.3.7.19162
32191.3.7.192/26191.3.7.193 to 191.3.7.254191.3.7.25562
33191.3.8.0/26191.3.8.1 to 191.3.8.62191.3.8.6362
34191.3.8.64/26191.3.8.65 to 191.3.8.126191.3.8.12762
35191.3.8.128/26191.3.8.129 to 191.3.8.190191.3.8.19162
36191.3.8.192/26191.3.8.193 to 191.3.8.254191.3.8.25562
37191.3.9.0/26191.3.9.1 to 191.3.9.62191.3.9.6362
38191.3.9.64/26191.3.9.65 to 191.3.9.126191.3.9.12762
39191.3.9.128/26191.3.9.129 to 191.3.9.190191.3.9.19162
40191.3.9.192/26191.3.9.193 to 191.3.9.254191.3.9.25562
41191.3.10.0/26191.3.10.1 to 191.3.10.62191.3.10.6362
42191.3.10.64/26191.3.10.65 to 191.3.10.126191.3.10.12762
43191.3.10.128/26191.3.10.129 to 191.3.10.190191.3.10.19162
44191.3.10.192/26191.3.10.193 to 191.3.10.254191.3.10.25562
45191.3.11.0/26191.3.11.1 to 191.3.11.62191.3.11.6362
46191.3.11.64/26191.3.11.65 to 191.3.11.126191.3.11.12762
47191.3.11.128/26191.3.11.129 to 191.3.11.190191.3.11.19162
48191.3.11.192/26191.3.11.193 to 191.3.11.254191.3.11.25562
49191.3.12.0/26191.3.12.1 to 191.3.12.62191.3.12.6362
50191.3.12.64/26191.3.12.65 to 191.3.12.126191.3.12.12762
51191.3.12.128/26191.3.12.129 to 191.3.12.190191.3.12.19162
52191.3.12.192/26191.3.12.193 to 191.3.12.254191.3.12.25562
53191.3.13.0/26191.3.13.1 to 191.3.13.62191.3.13.6362
54191.3.13.64/26191.3.13.65 to 191.3.13.126191.3.13.12762
55191.3.13.128/26191.3.13.129 to 191.3.13.190191.3.13.19162
56191.3.13.192/26191.3.13.193 to 191.3.13.254191.3.13.25562
57191.3.14.0/26191.3.14.1 to 191.3.14.62191.3.14.6362
58191.3.14.64/26191.3.14.65 to 191.3.14.126191.3.14.12762
59191.3.14.128/26191.3.14.129 to 191.3.14.190191.3.14.19162
60191.3.14.192/26191.3.14.193 to 191.3.14.254191.3.14.25562
61191.3.15.0/26191.3.15.1 to 191.3.15.62191.3.15.6362
62191.3.15.64/26191.3.15.65 to 191.3.15.126191.3.15.12762
63191.3.15.128/26191.3.15.129 to 191.3.15.190191.3.15.19162
64191.3.15.192/26191.3.15.193 to 191.3.15.254191.3.15.25562
65191.3.16.0/26191.3.16.1 to 191.3.16.62191.3.16.6362
66191.3.16.64/26191.3.16.65 to 191.3.16.126191.3.16.12762
67191.3.16.128/26191.3.16.129 to 191.3.16.190191.3.16.19162
68191.3.16.192/26191.3.16.193 to 191.3.16.254191.3.16.25562
69191.3.17.0/26191.3.17.1 to 191.3.17.62191.3.17.6362
70191.3.17.64/26191.3.17.65 to 191.3.17.126191.3.17.12762
71191.3.17.128/26191.3.17.129 to 191.3.17.190191.3.17.19162
72191.3.17.192/26191.3.17.193 to 191.3.17.254191.3.17.25562
73191.3.18.0/26191.3.18.1 to 191.3.18.62191.3.18.6362
74191.3.18.64/26191.3.18.65 to 191.3.18.126191.3.18.12762
75191.3.18.128/26191.3.18.129 to 191.3.18.190191.3.18.19162
76191.3.18.192/26191.3.18.193 to 191.3.18.254191.3.18.25562
77191.3.19.0/26191.3.19.1 to 191.3.19.62191.3.19.6362
78191.3.19.64/26191.3.19.65 to 191.3.19.126191.3.19.12762
79191.3.19.128/26191.3.19.129 to 191.3.19.190191.3.19.19162
80191.3.19.192/26191.3.19.193 to 191.3.19.254191.3.19.25562
81191.3.20.0/26191.3.20.1 to 191.3.20.62191.3.20.6362
82191.3.20.64/26191.3.20.65 to 191.3.20.126191.3.20.12762
83191.3.20.128/26191.3.20.129 to 191.3.20.190191.3.20.19162
84191.3.20.192/26191.3.20.193 to 191.3.20.254191.3.20.25562
85191.3.21.0/26191.3.21.1 to 191.3.21.62191.3.21.6362
86191.3.21.64/26191.3.21.65 to 191.3.21.126191.3.21.12762
87191.3.21.128/26191.3.21.129 to 191.3.21.190191.3.21.19162
88191.3.21.192/26191.3.21.193 to 191.3.21.254191.3.21.25562
89191.3.22.0/26191.3.22.1 to 191.3.22.62191.3.22.6362
90191.3.22.64/26191.3.22.65 to 191.3.22.126191.3.22.12762
91191.3.22.128/26191.3.22.129 to 191.3.22.190191.3.22.19162
92191.3.22.192/26191.3.22.193 to 191.3.22.254191.3.22.25562
93191.3.23.0/26191.3.23.1 to 191.3.23.62191.3.23.6362
94191.3.23.64/26191.3.23.65 to 191.3.23.126191.3.23.12762
95191.3.23.128/26191.3.23.129 to 191.3.23.190191.3.23.19162
96191.3.23.192/26191.3.23.193 to 191.3.23.254191.3.23.25562
97191.3.24.0/26191.3.24.1 to 191.3.24.62191.3.24.6362
98191.3.24.64/26191.3.24.65 to 191.3.24.126191.3.24.12762
99191.3.24.128/26191.3.24.129 to 191.3.24.190191.3.24.19162
100191.3.24.192/26191.3.24.193 to 191.3.24.254191.3.24.25562
101191.3.25.0/26191.3.25.1 to 191.3.25.62191.3.25.6362
102191.3.25.64/26191.3.25.65 to 191.3.25.126191.3.25.12762
103191.3.25.128/26191.3.25.129 to 191.3.25.190191.3.25.19162
104191.3.25.192/26191.3.25.193 to 191.3.25.254191.3.25.25562
105191.3.26.0/26191.3.26.1 to 191.3.26.62191.3.26.6362
106191.3.26.64/26191.3.26.65 to 191.3.26.126191.3.26.12762
107191.3.26.128/26191.3.26.129 to 191.3.26.190191.3.26.19162
108191.3.26.192/26191.3.26.193 to 191.3.26.254191.3.26.25562
109191.3.27.0/26191.3.27.1 to 191.3.27.62191.3.27.6362
110191.3.27.64/26191.3.27.65 to 191.3.27.126191.3.27.12762
111191.3.27.128/26191.3.27.129 to 191.3.27.190191.3.27.19162
112191.3.27.192/26191.3.27.193 to 191.3.27.254191.3.27.25562
113191.3.28.0/26191.3.28.1 to 191.3.28.62191.3.28.6362
114191.3.28.64/26191.3.28.65 to 191.3.28.126191.3.28.12762
115191.3.28.128/26191.3.28.129 to 191.3.28.190191.3.28.19162
116191.3.28.192/26191.3.28.193 to 191.3.28.254191.3.28.25562
117191.3.29.0/26191.3.29.1 to 191.3.29.62191.3.29.6362
118191.3.29.64/26191.3.29.65 to 191.3.29.126191.3.29.12762
119191.3.29.128/26191.3.29.129 to 191.3.29.190191.3.29.19162
120191.3.29.192/26191.3.29.193 to 191.3.29.254191.3.29.25562
121191.3.30.0/26191.3.30.1 to 191.3.30.62191.3.30.6362
122191.3.30.64/26191.3.30.65 to 191.3.30.126191.3.30.12762
123191.3.30.128/26191.3.30.129 to 191.3.30.190191.3.30.19162
124191.3.30.192/26191.3.30.193 to 191.3.30.254191.3.30.25562
125191.3.31.0/26191.3.31.1 to 191.3.31.62191.3.31.6362
126191.3.31.64/26191.3.31.65 to 191.3.31.126191.3.31.12762
127191.3.31.128/26191.3.31.129 to 191.3.31.190191.3.31.19162
128191.3.31.192/26191.3.31.193 to 191.3.31.254191.3.31.25562
129191.3.32.0/26191.3.32.1 to 191.3.32.62191.3.32.6362
130191.3.32.64/26191.3.32.65 to 191.3.32.126191.3.32.12762
131191.3.32.128/26191.3.32.129 to 191.3.32.190191.3.32.19162
132191.3.32.192/26191.3.32.193 to 191.3.32.254191.3.32.25562
133191.3.33.0/26191.3.33.1 to 191.3.33.62191.3.33.6362
134191.3.33.64/26191.3.33.65 to 191.3.33.126191.3.33.12762
135191.3.33.128/26191.3.33.129 to 191.3.33.190191.3.33.19162
136191.3.33.192/26191.3.33.193 to 191.3.33.254191.3.33.25562
137191.3.34.0/26191.3.34.1 to 191.3.34.62191.3.34.6362
138191.3.34.64/26191.3.34.65 to 191.3.34.126191.3.34.12762
139191.3.34.128/26191.3.34.129 to 191.3.34.190191.3.34.19162
140191.3.34.192/26191.3.34.193 to 191.3.34.254191.3.34.25562
141191.3.35.0/26191.3.35.1 to 191.3.35.62191.3.35.6362
142191.3.35.64/26191.3.35.65 to 191.3.35.126191.3.35.12762
143191.3.35.128/26191.3.35.129 to 191.3.35.190191.3.35.19162
144191.3.35.192/26191.3.35.193 to 191.3.35.254191.3.35.25562
145191.3.36.0/26191.3.36.1 to 191.3.36.62191.3.36.6362
146191.3.36.64/26191.3.36.65 to 191.3.36.126191.3.36.12762
147191.3.36.128/26191.3.36.129 to 191.3.36.190191.3.36.19162
148191.3.36.192/26191.3.36.193 to 191.3.36.254191.3.36.25562
149191.3.37.0/26191.3.37.1 to 191.3.37.62191.3.37.6362
150191.3.37.64/26191.3.37.65 to 191.3.37.126191.3.37.12762
151191.3.37.128/26191.3.37.129 to 191.3.37.190191.3.37.19162
152191.3.37.192/26191.3.37.193 to 191.3.37.254191.3.37.25562
153191.3.38.0/26191.3.38.1 to 191.3.38.62191.3.38.6362
154191.3.38.64/26191.3.38.65 to 191.3.38.126191.3.38.12762
155191.3.38.128/26191.3.38.129 to 191.3.38.190191.3.38.19162
156191.3.38.192/26191.3.38.193 to 191.3.38.254191.3.38.25562
157191.3.39.0/26191.3.39.1 to 191.3.39.62191.3.39.6362
158191.3.39.64/26191.3.39.65 to 191.3.39.126191.3.39.12762
159191.3.39.128/26191.3.39.129 to 191.3.39.190191.3.39.19162
160191.3.39.192/26191.3.39.193 to 191.3.39.254191.3.39.25562
161191.3.40.0/26191.3.40.1 to 191.3.40.62191.3.40.6362
162191.3.40.64/26191.3.40.65 to 191.3.40.126191.3.40.12762
163191.3.40.128/26191.3.40.129 to 191.3.40.190191.3.40.19162
164191.3.40.192/26191.3.40.193 to 191.3.40.254191.3.40.25562
165191.3.41.0/26191.3.41.1 to 191.3.41.62191.3.41.6362
166191.3.41.64/26191.3.41.65 to 191.3.41.126191.3.41.12762
167191.3.41.128/26191.3.41.129 to 191.3.41.190191.3.41.19162
168191.3.41.192/26191.3.41.193 to 191.3.41.254191.3.41.25562
169191.3.42.0/26191.3.42.1 to 191.3.42.62191.3.42.6362
170191.3.42.64/26191.3.42.65 to 191.3.42.126191.3.42.12762
171191.3.42.128/26191.3.42.129 to 191.3.42.190191.3.42.19162
172191.3.42.192/26191.3.42.193 to 191.3.42.254191.3.42.25562
173191.3.43.0/26191.3.43.1 to 191.3.43.62191.3.43.6362
174191.3.43.64/26191.3.43.65 to 191.3.43.126191.3.43.12762
175191.3.43.128/26191.3.43.129 to 191.3.43.190191.3.43.19162
176191.3.43.192/26191.3.43.193 to 191.3.43.254191.3.43.25562
177191.3.44.0/26191.3.44.1 to 191.3.44.62191.3.44.6362
178191.3.44.64/26191.3.44.65 to 191.3.44.126191.3.44.12762
179191.3.44.128/26191.3.44.129 to 191.3.44.190191.3.44.19162
180191.3.44.192/26191.3.44.193 to 191.3.44.254191.3.44.25562
181191.3.45.0/26191.3.45.1 to 191.3.45.62191.3.45.6362
182191.3.45.64/26191.3.45.65 to 191.3.45.126191.3.45.12762
183191.3.45.128/26191.3.45.129 to 191.3.45.190191.3.45.19162
184191.3.45.192/26191.3.45.193 to 191.3.45.254191.3.45.25562
185191.3.46.0/26191.3.46.1 to 191.3.46.62191.3.46.6362
186191.3.46.64/26191.3.46.65 to 191.3.46.126191.3.46.12762
187191.3.46.128/26191.3.46.129 to 191.3.46.190191.3.46.19162
188191.3.46.192/26191.3.46.193 to 191.3.46.254191.3.46.25562
189191.3.47.0/26191.3.47.1 to 191.3.47.62191.3.47.6362
190191.3.47.64/26191.3.47.65 to 191.3.47.126191.3.47.12762
191191.3.47.128/26191.3.47.129 to 191.3.47.190191.3.47.19162
192191.3.47.192/26191.3.47.193 to 191.3.47.254191.3.47.25562
193191.3.48.0/26191.3.48.1 to 191.3.48.62191.3.48.6362
194191.3.48.64/26191.3.48.65 to 191.3.48.126191.3.48.12762
195191.3.48.128/26191.3.48.129 to 191.3.48.190191.3.48.19162
196191.3.48.192/26191.3.48.193 to 191.3.48.254191.3.48.25562
197191.3.49.0/26191.3.49.1 to 191.3.49.62191.3.49.6362
198191.3.49.64/26191.3.49.65 to 191.3.49.126191.3.49.12762
199191.3.49.128/26191.3.49.129 to 191.3.49.190191.3.49.19162
200191.3.49.192/26191.3.49.193 to 191.3.49.254191.3.49.25562
201191.3.50.0/26191.3.50.1 to 191.3.50.62191.3.50.6362
202191.3.50.64/26191.3.50.65 to 191.3.50.126191.3.50.12762
203191.3.50.128/26191.3.50.129 to 191.3.50.190191.3.50.19162
204191.3.50.192/26191.3.50.193 to 191.3.50.254191.3.50.25562
205191.3.51.0/26191.3.51.1 to 191.3.51.62191.3.51.6362
206191.3.51.64/26191.3.51.65 to 191.3.51.126191.3.51.12762
207191.3.51.128/26191.3.51.129 to 191.3.51.190191.3.51.19162
208191.3.51.192/26191.3.51.193 to 191.3.51.254191.3.51.25562
209191.3.52.0/26191.3.52.1 to 191.3.52.62191.3.52.6362
210191.3.52.64/26191.3.52.65 to 191.3.52.126191.3.52.12762
211191.3.52.128/26191.3.52.129 to 191.3.52.190191.3.52.19162
212191.3.52.192/26191.3.52.193 to 191.3.52.254191.3.52.25562
213191.3.53.0/26191.3.53.1 to 191.3.53.62191.3.53.6362
214191.3.53.64/26191.3.53.65 to 191.3.53.126191.3.53.12762
215191.3.53.128/26191.3.53.129 to 191.3.53.190191.3.53.19162
216191.3.53.192/26191.3.53.193 to 191.3.53.254191.3.53.25562
217191.3.54.0/26191.3.54.1 to 191.3.54.62191.3.54.6362
218191.3.54.64/26191.3.54.65 to 191.3.54.126191.3.54.12762
219191.3.54.128/26191.3.54.129 to 191.3.54.190191.3.54.19162
220191.3.54.192/26191.3.54.193 to 191.3.54.254191.3.54.25562
221191.3.55.0/26191.3.55.1 to 191.3.55.62191.3.55.6362
222191.3.55.64/26191.3.55.65 to 191.3.55.126191.3.55.12762
223191.3.55.128/26191.3.55.129 to 191.3.55.190191.3.55.19162
224191.3.55.192/26191.3.55.193 to 191.3.55.254191.3.55.25562
225191.3.56.0/26191.3.56.1 to 191.3.56.62191.3.56.6362
226191.3.56.64/26191.3.56.65 to 191.3.56.126191.3.56.12762
227191.3.56.128/26191.3.56.129 to 191.3.56.190191.3.56.19162
228191.3.56.192/26191.3.56.193 to 191.3.56.254191.3.56.25562
229191.3.57.0/26191.3.57.1 to 191.3.57.62191.3.57.6362
230191.3.57.64/26191.3.57.65 to 191.3.57.126191.3.57.12762
231191.3.57.128/26191.3.57.129 to 191.3.57.190191.3.57.19162
232191.3.57.192/26191.3.57.193 to 191.3.57.254191.3.57.25562
233191.3.58.0/26191.3.58.1 to 191.3.58.62191.3.58.6362
234191.3.58.64/26191.3.58.65 to 191.3.58.126191.3.58.12762
235191.3.58.128/26191.3.58.129 to 191.3.58.190191.3.58.19162
236191.3.58.192/26191.3.58.193 to 191.3.58.254191.3.58.25562
237191.3.59.0/26191.3.59.1 to 191.3.59.62191.3.59.6362
238191.3.59.64/26191.3.59.65 to 191.3.59.126191.3.59.12762
239191.3.59.128/26191.3.59.129 to 191.3.59.190191.3.59.19162
240191.3.59.192/26191.3.59.193 to 191.3.59.254191.3.59.25562
241191.3.60.0/26191.3.60.1 to 191.3.60.62191.3.60.6362
242191.3.60.64/26191.3.60.65 to 191.3.60.126191.3.60.12762
243191.3.60.128/26191.3.60.129 to 191.3.60.190191.3.60.19162
244191.3.60.192/26191.3.60.193 to 191.3.60.254191.3.60.25562
245191.3.61.0/26191.3.61.1 to 191.3.61.62191.3.61.6362
246191.3.61.64/26191.3.61.65 to 191.3.61.126191.3.61.12762
247191.3.61.128/26191.3.61.129 to 191.3.61.190191.3.61.19162
248191.3.61.192/26191.3.61.193 to 191.3.61.254191.3.61.25562
249191.3.62.0/26191.3.62.1 to 191.3.62.62191.3.62.6362
250191.3.62.64/26191.3.62.65 to 191.3.62.126191.3.62.12762
251191.3.62.128/26191.3.62.129 to 191.3.62.190191.3.62.19162
252191.3.62.192/26191.3.62.193 to 191.3.62.254191.3.62.25562
253191.3.63.0/26191.3.63.1 to 191.3.63.62191.3.63.6362
254191.3.63.64/26191.3.63.65 to 191.3.63.126191.3.63.12762
255191.3.63.128/26191.3.63.129 to 191.3.63.190191.3.63.19162
256191.3.63.192/26191.3.63.193 to 191.3.63.254191.3.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses